Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Не работает встроенный картридер в ноутбуке.  (Прочитано 13672 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн renovacio

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
 Здравствуйте товарищи линуксойды.Помогите пожалуйста решить проблему с картридером,много гуглил,танцы с бубном,ничего не помогло,я обессилен.
 Итак lsusb
(Нажмите, чтобы показать/скрыть)

Bus 002 Device 004: ID 058f:6366 Alcor Micro Corp. Multi Flash Reader устройство даки видит.Однако,испытываемая карта памяти отлично работает на win7 этого же ноутбука.

Ноутбук asus k50ab.
Ось Ubuntu 11.04 ядро 2.6.38-14-generic.

За ранее благодарен.
Уверуй в свой мозг,положись на критическое мышление.

Оффлайн Nikki1993

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 3261
  • Owner of Dell XPS 13 Developer Edition :D
    • Просмотр профиля
пробовали ядро 3.x.x ставить? может проблема решиться путем обновления ядра ( я сам не знаю просто догадка  :) )
First i was like :0 Then i was like :D But now i am like(╯°□°)╯︵ ┻━┻
http://www.abload.de/img/banner_505uxa.png

Оффлайн renovacio

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Ядро версии 3.3.3 уже скачано,но я не знаю,что с ним делать :( .В гугле непонятно,размыто рассказывается,как обновлять и то на примере ядер 2.Х.Х.
Уверуй в свой мозг,положись на критическое мышление.

Оффлайн Nikki1993

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 3261
  • Owner of Dell XPS 13 Developer Edition :D
    • Просмотр профиля
обновите систему полностью
sudo apt-get update && sudo apt-get upgradeчерез терминал с помощью команды cd зайдите в папку где лежат файлы ядра
потом установите 3 пакета ядра ИМЕННО В ТАКОМ ПОРЯДКЕ
sudo dpkg -i linux-headers **** all.debsudo dpkg -i linux-headers **** .debsudo dpkg -i linux-image **** .debперезагрузитесь и чтобы проверить версию ядра введите команду
uname -a
First i was like :0 Then i was like :D But now i am like(╯°□°)╯︵ ┻━┻
http://www.abload.de/img/banner_505uxa.png

Оффлайн renovacio

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
После данной команды
sudo apt-get update && sudo apt-get upgrade
(Нажмите, чтобы показать/скрыть)

Настраивается пакет bnetd (0.4.25-8) ...
chown: cannot access `/var/run/bnetd': No such file or directory
dpkg: не удалось обработать параметр bnetd (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
Настраивается пакет openssl (0.9.8o-5ubuntu1.5) ...
При обработке следующих пакетов произошли ошибки:
 bnetd
E: Sub-process /usr/bin/dpkg returned an error code (1)

Посмотрел bnetd в папках-его действительно нет.

Цитировать
зайдите в папку где лежат файлы ядра
потом установите 3 пакета ядра ИМЕННО В ТАКОМ ПОРЯДКЕ
Код: [Выделить]

sudo dpkg -i linux-headers **** all.deb

Код: [Выделить]

sudo dpkg -i linux-headers **** .deb

Код: [Выделить]

sudo dpkg -i linux-image **** .deb
Можно на моём конкретном примере вместо звёздочек поставить цыфры? На лету сложно понять сей процесс,объясните пожалуйста.Текущая версия ядра 2.6.38,а скаченная 3.3.3 разархивированна в /home/asusk50ab и имеет ли смысл,куда разархивировать?
Уверуй в свой мозг,положись на критическое мышление.

Оффлайн Лерыч

  • Активист
  • *
  • Сообщений: 553
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Цитировать
Можно на моём конкретном примере вместо звёздочек поставить цыфры? На лету сложно понять сей процесс,объясните пожалуйста.Текущая версия ядра 2.6.38,а скаченная 3.3.3 разархивированна в /home/asusk50ab и имеет ли смысл,куда разархивировать?
Если уж решили обновить ядро до версии 3.3.3, то ничего никуда разархивировать не нужно. Идете сюда, скачиваете там 3 deb-пакета под свою архитектуру, например:
linux-headers-3.3.3-030303_3.3.3-030303.201204240708_all.deb
linux-headers-3.3.3-030303-generic_3.3.3-030303.201204240708_i386.deb
linux-image-3.3.3-030303-generic_3.3.3-030303.201204240708_i386.deb
Затем идете в папку, куда скачали эти пакеты и просто нажимаете на каждом из них по очереди (в том порядке, в котором они здесь приведены) ПКМ —> Открыть с помощью "Программа установки пакетов GDebi".  В появившемся окошке установщика пакетов нажмете "Установить пакет", после чего он запросит пароль, введете его. Когда все три пакеты будут установлены, перезагрузитесь уже в новое ядро. Старое удалять не спешите, чтобы было легко откатиться, в случае чего. Это все! :)
« Последнее редактирование: 25 Апрель 2012, 02:43:23 от Лерыч »

Оффлайн renovacio

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Тихо скрипя,почти без потерь-не запустилась только "юнити",я поставил ядро 3.3.3.Доволен.Честно,ибо без происшествий.Спасибо парни.Но картридер не работает до сих пор.
При обновлении ядра,выдало это в конце:
sudo apt-get update && sudo apt-get upgrade
(Нажмите, чтобы показать/скрыть)
Как я выше писал bnetd -нет в той папке такого файла,хотя он у меня в менеджере дополнений установлен,как "браузер игровых серверов xgf".Пытался его удалить ,но выдаёт такую же ошибку,как в спойлере.
Извиняюсь за оффтоп,но что сделать мне с ненависным bnetd?
Уверуй в свой мозг,положись на критическое мышление.

Оффлайн Лерыч

  • Активист
  • *
  • Сообщений: 553
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Пытался его удалить ,но выдаёт такую же ошибку,как в спойлере.
Извиняюсь за оффтоп,но что сделать мне с ненависным bnetd?
А удаляли как? Попробуйте так: sudo apt-get purge bnetd*Если опять выдаст ошибку E: Sub-process /usr/bin/dpkg returned an error code (1)  то попробуйте прежде сделать так: cd /var/lib/dpkg/info
sudo rm bnetd.*
sudo apt-get -f install
а потом повторить удаление "ненависного bnetd" командой выше.

Оффлайн renovacio

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Лерыч,ты мегамозг и экстрасенс!!!Удалился bnetd по второму сценарию :D .А данную ненависную прогу удалял через менеджер дополнений.

Картридер всё так же не работает.
« Последнее редактирование: 26 Апрель 2012, 21:49:28 от renovacio »
Уверуй в свой мозг,положись на критическое мышление.

Оффлайн Лерыч

  • Активист
  • *
  • Сообщений: 553
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Картридер всё так же не работает.
Попробуйте добавить строку usb_storage в файл /etc/modules: sudo echo usb_storage >> /etc/modulesи перезагрузитесь. (Если вдруг после этой операции картридер не заработает на одном ядре, попробуйте загрузиться в другое (надеюсь, Вы еще не успели его удалить? ;)) и проверить, заработал ли на нем.)
« Последнее редактирование: 27 Апрель 2012, 02:52:13 от Лерыч »

Оффлайн renovacio

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Цитировать
Попробуйте добавить строку usb_storage в файл /etc/modules:
Код: [Выделить]

sudo echo usb_storage >> /etc/modules
Попробовал,но вручную вписал на правах рута,результата нет ни на обоих ядрах после перезагрузки.

Я вот нашел в просторах интернета,но не понял,что,куда вставлять.Может это нам поможет?=\
http://cateee.net/lkddb/web-lkddb/USB_ENESTORAGE.html

Пользователь решил продолжить мысль 27 Апрель 2012, 23:54:54:
Цитировать
Можно на моём конкретном примере вместо звёздочек поставить цыфры? На лету сложно понять сей процесс,объясните пожалуйста.Текущая версия ядра 2.6.38,а скаченная 3.3.3 разархивированна в /home/asusk50ab и имеет ли смысл,куда разархивировать?
Если уж решили обновить ядро до версии 3.3.3, то ничего никуда разархивировать не нужно. Идете сюда, скачиваете там 3 deb-пакета под свою архитектуру, например:
linux-headers-3.3.3-030303_3.3.3-030303.201204240708_all.deb
linux-headers-3.3.3-030303-generic_3.3.3-030303.201204240708_i386.deb
linux-image-3.3.3-030303-generic_3.3.3-030303.201204240708_i386.deb
Затем идете в папку, куда скачали эти пакеты и просто нажимаете на каждом из них по очереди (в том порядке, в котором они здесь приведены) ПКМ —> Открыть с помощью "Программа установки пакетов GDebi".  В появившемся окошке установщика пакетов нажмете "Установить пакет", после чего он запросит пароль, введете его. Когда все три пакеты будут установлены, перезагрузитесь уже в новое ядро. Старое удалять не спешите, чтобы было легко откатиться, в случае чего. Это все! :)
Во время установки ядра написало вот это:
cat: /boot/grub/video.lst: No such file or directory

А потом fglrx  fail
Видать из-за этого юнити не пошла,да,и почему проприетарный драйвер не хочет вставать?
« Последнее редактирование: 27 Апрель 2012, 23:54:54 от renovacio »
Уверуй в свой мозг,положись на критическое мышление.

Оффлайн Лерыч

  • Активист
  • *
  • Сообщений: 553
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Я вот нашел в просторах интернета,но не понял,что,куда вставлять.Может это нам поможет?=\
http://cateee.net/lkddb/web-lkddb/USB_ENESTORAGE.html
Честно, не понял, что это такое. :)
А гляньте-ка в Синаптике, пакеты pcscd и libasedrive-usb установлены? Если нет, попробуйте их прям оттуда установить и посмотреть, будет ли результат.
Во время установки ядра написало вот это:
cat: /boot/grub/video.lst: No such file or directory

А потом fglrx  fail
Видать из-за этого юнити не пошла,да,и почему проприетарный драйвер не хочет вставать?
Да, юнити из-за этого и не пошла. fglrx оно такое fglrx... :) По поводу АТИшных дров, тут я Вам не советчик — к счастью, никогда не был владельцем их карточек и практического опыта по ним не имею. Сорри. :-[  Может, кто из сведущих в этом деле что умное подскажет?
« Последнее редактирование: 28 Апрель 2012, 01:40:31 от Лерыч »

Оффлайн Nikki1993

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 3261
  • Owner of Dell XPS 13 Developer Edition :D
    • Просмотр профиля
какая видеокарта АТИ?
First i was like :0 Then i was like :D But now i am like(╯°□°)╯︵ ┻━┻
http://www.abload.de/img/banner_505uxa.png

Оффлайн renovacio

  • Автор темы
  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
lspci01:00.0 VGA compatible controller: ATI Technologies Inc M92 [Mobility Radeon HD 4500 Series]

 Так я главное удивляюсь на 2.6.38 работает всё:fglrx горит зелёным цветом,а на 3.3.3 программа эта стоит,но на зелёный огонёк не переключается,к тому же АСС(ati control center) работает нормально.Может его снести,тогда проприетарный встанет,хотя это опасно-иксы слетят,хрен восстановишь-из-под винды Ubuntu ставил,в прошлый раз не смог спасти ось.

Лерыч,из синаптика поставил эти пакеты,их не было,но даже после перезагрузки до сих пор не видит карточку.На всякий случай в винду зашел-работает нормально.
« Последнее редактирование: 28 Апрель 2012, 15:00:02 от renovacio »
Уверуй в свой мозг,положись на критическое мышление.

Оффлайн Лерыч

  • Активист
  • *
  • Сообщений: 553
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Лерыч,из синаптика поставил эти пакеты,их не было,но даже после перезагрузки до сих пор не видит карточку.На всякий случай в винду зашел-работает нормально.
А файловая система на карточке какая (можно в GParted-е посмотреть, или через sudo fdisk -l при вставленной карте)?
И такая проблема только с этой карточкой, или с любой другой?
И да, на всякий случай, команда cd /
ls -l | grep media
что показывает?
« Последнее редактирование: 28 Апрель 2012, 19:07:57 от Лерыч »

 

Страница сгенерирована за 0.105 секунд. Запросов: 24.